Skip to Content
Micro-Surveys & NPS

Dispatch survey invitation SMS

View Markdown (.md)
POST
/api/v1/public/surveys/send

Generates a unique short token, deducts SMS segments + service surcharge, and sends SMS invitation with responsive web link.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
surveyId?string
Formatuuid
title?string
recipient*string
senderId?string
customMessage?string

Response Body

Survey invitation dispatched

application/json
  1. response
status?string
message?string
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/surveys/send' \  -H 'Content-Type: application/json' \  -d '{  "recipient": "string"}'
Example Response
{  "status": "string",  "message": "string"}